import Taro from "@tarojs/taro";
import indexStore from "@src/store/index";
import { setApp } from "@src/config";
/**
 * 获取小程序组件配置列表
 * */
// export function getAppComponent() {
//     return new Promise(async (resolve, reject) => {
//         try {
//             // 初始化
//             Taro.request({
//                 url: '/app/appComponent/list',
//                 method: 'GET',
//                 success: (res) => {
//                     resolve(res)
//                 },
//                 fail: (err) => {
//                     reject(err);
//                 }
//             })
//         } catch (error) {
//             reject(error);
//         }
//     })
// }



/**
 * 获取短篇首页banners列表
 * */
export function getShortBanners(workDirection) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getBanners',
                method: 'GET',
                data: { workDirection },
                success: (res) => {
                    indexStore.setData({ indexBanners: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取短篇首页热门分类列表
 * */
export function getShortHotCategory(workDirection) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getHotCategory',
                method: 'GET',
                data: { workDirection },
                success: (res) => {
                    indexStore.setData({ indexHotCategory: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取短篇首页热门书籍列表
 * */
export function getShortHotBooks(workDirection) {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/appComponent/getHotBooks',
                method: 'GET',
                data: { workDirection },
                success: (res) => {
                    indexStore.setData({ indexHotBooks: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取短篇首页热门书籍列表
 * */
export function getRechargeTemplate() {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/rechargeTemplate/getInfo',
                method: 'GET',
                success: (res) => {
                    indexStore.setData({ rechargeTemplate: res.data.data })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
/**
 * 获取枚举
 * */
export function enumDictList() {
    return new Promise(async (resolve, reject) => {
        try {
            // 初始化
            Taro.request({
                url: '/app/enumDict/list',
                method: 'GET',
                success: (res) => {
                    let enumList = {}
                    Object.values(res.data?.data?.enums).map((item: any) => {
                        enumList[item.name] = item
                    })
                    setApp({ enumDictList: enumList })
                    resolve(res)
                },
                fail: (err) => {
                    reject(err);
                }
            })
        } catch (error) {
            reject(error);
        }
    })
}
